<body>
  <form [formGroup]="userForm" (ngSubmit)="adminlogin()">
    <div class="container d-flex justify-content-center">
      <mat-card
        class="card mt-5 d-flex"
        id="card"
        style="max-width: fit-content"
      >
        <mat-card-content>
          <div>
            <button
              class="btncontrol btn btn-primary"
              mat-raised-button
              color="accent"
              routerLink="/user"
            >
              User
            </button>
          </div>

          <div class="mt-3">
            <mat-form-field appearance="outline">
              <mat-label>AdminName</mat-label>
              <input
                formControlName="UserName"
                [(ngModel)]="admin.adminname"
                matInput
                placeholder="AdminName"
                required
              />
              <mat-error>This field is empty</mat-error>
            </mat-form-field>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <mat-label>Password</mat-label>
              <input
                formControlName="Password"
                [(ngModel)]="admin.password"
                matInput
                type="Password"
                placeholder="Password"
                required
              />
              <mat-error>Enter the password</mat-error>
            </mat-form-field>
          </div>
          <div class="d-flex justify-content-center">
            <button
              mat-raised-button
              color="primary"
              [disabled]="userForm.invalid"
            >
              LogIn
            </button>
          </div>
        </mat-card-content>
      </mat-card>
    </div>
  </form>
</body>
